\name{gsl.make.nn.mdsfun}
\alias{gsl.make.nn.mdsfun}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Create minimum density similarity function based on the nearest neighbor
  density estimate}
\description{Create minimum density similarity function based on the nearest neighbor
  density estimate}
\usage{
gsl.make.nn.mdsfun(X)
}
\arguments{
  \item{X}{data matrix. Rows corresponds to observations, columns to variables}
}
\value{
  Minimum density similarity function
}
\references{Stuetzle, W. and Nugent, R. (2009.) A Generalized Single Method for
            Estimating the Cluster Tree of a Density. Journal of Computational
            and Graphical Statistics (to appear).}
\author{Werner Stuetzle }
\seealso{gsl.make.kernel.mdsfun}
\examples{
  library(gslclust)
  data(iris)
  attach(iris)
  X <- cbind(Sepal.Length, Sepal.Width, Petal.Length, Petal.Width)
  nn.mdsfun <- gsl.make.nn.mdsfun(X)
  gsl.cluster.out <- gsl.cluster(X, nn.mdsfun)
  gsl.runt.size(gsl.cluster.out)[1:10]
  ## [1] 50 38 16 14 14  7  5  4  4  4
  gsl.cluster.out <- gsl.cluster(X, nn.mdsfun, pruning.threshold = 14)
  obs.labels <- gsl.observation.labels(gsl.cluster.out)
  table(obs.labels, Species)
  ##        Species
  ##obs.labels setosa versicolor virginica
  ##      4      30          0         0
  ##      5      20          0         0
  ##      12      0         30         1
  ##      13      0         15         0
  ##      14      0          0        36
  ##      15      0          5        13
}
\keyword{nonparametric}
\keyword{multivariate}
\keyword{cluster}

