\name{gsl.observation.labels}
\alias{gsl.observation.labels}
\title{Cluster labels of observations}
\description{
  Returns cluster labels of observations
}
\usage{
gsl.observation.labels(gsl.cluster.out)
}
\arguments{
  \item{gsl.cluster.out}{output of function gsl.cluster}
}
\value{
Cluster labels of observations
}
\references{Stuetzle, W. and Nugent, R. (2009.) A Generalized Single
  Method for Estimating the Cluster Tree of a Density. Journal of
  Computational  and Graphical Statistics (to appear).}

\author{Werner Stuetzle}

\seealso{gsl.observation.in.core}

\examples{
library(gslclust)
data(iris)
attach(iris)
X <- cbind(Sepal.Length, Sepal.Width, Petal.Length, Petal.Width)
nn.mdsfun <- gsl.make.nn.mdsfun(X)
gsl.cluster.out <- gsl.cluster(X, nn.mdsfun)
rs <- gsl.runt.size(gsl.cluster.out)
rs[1:10]
## [1] 50 38 16 14 14  7  5  4  4  4
gsl.cluster.out <- gsl.cluster(X, nn.mdsfun, pruning.threshold =
                               14)
obs.labels <- gsl.observation.labels(gsl.cluster.out)
table(obs.labels, Species)
##          Species
##obs.labels setosa versicolor virginica
##        4      30          0         0
##        5      20          0         0
##        12      0         30         1
##        13      0         15         0
##        14      0          0        36
##        15      0          5        13

}
\keyword{nonparametric}
\keyword{multivariate}
\keyword{cluster}

