\name{gsl.runt.excess.mass}
\alias{gsl.runt.excess.mass}
\title{Runt excess masses of interior nodes of graph cluster tree }
\description{
Returns runt excess masses of interior nodes of cluster tree in descending order.}
\usage{
gsl.runt.excess.mass(gsl.cluster.out)
}
\arguments{
  \item{gsl.cluster.out}{output of function gsl.cluster}
}
\value{
Runt excess masses of interior nodes of graph cluster tree in decreasing
order
}
\references{Stuetzle, W. and Nugent, R. (2009.) A Generalized Single
  Method for Estimating the Cluster Tree of a Density. Journal of
  Computational  and Graphical Statistics (to appear).}

\author{Werner Stuetzle}

\seealso{gsl.runt.size}
\examples{
data(iris)
attach(iris)
X <- cbind(Sepal.Length, Sepal.Width, Petal.Length, Petal.Width)
X.sphered <- sphere(X)
optimal.bandwidth <- cv.search(X.sphered)$opt.smopar
optimal.bandwidth
## [1] 0.3510157
kernel.mdsfun <- gsl.make.kernel.mdsfun(X.sphered,
                      optimal.bandwidth, interactive = TRUE)
gsl.cluster.out <- gsl.cluster(X.sphered, kernel.mdsfun)
rem <- gsl.runt.excess.mass(gsl.cluster.out)
round(nrow(X) * rem, 0)[1:10]
## [1] 27 2 2 2 2 2 1 1 1 1
}
\keyword{nonparametric}
\keyword{multivariate}
\keyword{cluster}

