\name{gsl.runt.size}
\alias{gsl.runt.size}
\title{Runt sizes of interior nodes of graph cluster tree }
\description{
Returns runt sizes of interior nodes of graph cluster tree in descending order.}
\usage{
gsl.runt.size(gsl.cluster.out)
}
\arguments{
  \item{gsl.cluster.out}{output of function gsl.cluster}
}
\value{
Runt sizes of interior nodes of graph cluster tree.
}
\references{Stuetzle, W. and Nugent, R. (2009.) A Generalized Single
  Method for Estimating the Cluster Tree of a Density. Journal of
  Computational  and Graphical Statistics (to appear).}

\author{Werner Stuetzle}

\seealso{gsl.runt.excess.mass}
\examples{
library(gslclust)
data(iris)
attach(iris)
X <- cbind(Sepal.Length, Sepal.Width, Petal.Length, Petal.Width)
nn.mdsfun <- gsl.make.nn.mdsfun(X)
gsl.cluster.out <- gsl.cluster(X, nn.mdsfun)
rs <- gsl.runt.size(gsl.cluster.out)
rs[1:10]
## [1] 50 38 16 14 14  7  5  4  4  4
}
\keyword{nonparametric}
\keyword{multivariate}
\keyword{cluster}

