\name{sphere}
\alias{sphere}
\title{Affinely transforms a data matrix to 0 mean and unit covariance}
\description{
Applies affine transformation to data matrix such that transformed
matrix has 0 mean and unit covariance. 
}
\usage{
sphere(X)
}
\arguments{
  \item{X}{data matrix. Rows correspond to observations, columns to variables}
}
\value{
  Sphered data matrix with same dimensions as X.
}
\author{Werner Stuetzle}

\examples{
data(iris)
attach(iris)
X <- cbind(Sepal.Length, Sepal.Width, Petal.Length, Petal.Width)
var(sphere(X))
##               Sepal.Length   Sepal.Width  Petal.Length   Petal.Width
## Sepal.Length  1.000000e+00  2.586356e-16 -4.499757e-18 -5.366553e-16
## Sepal.Width   2.586356e-16  1.000000e+00 -2.705617e-16  2.273980e-16
## Petal.Length -4.499757e-18 -2.705617e-16  1.000000e+00  1.944105e-15
## Petal.Width  -5.366553e-16  2.273980e-16  1.944105e-15  1.000000e+00
}
\keyword{nonparametric}
\keyword{multivariate}

